Bug 1444174 - Memory utilization metrics fail to account for system cache
Summary: Memory utilization metrics fail to account for system cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Richard Su
QA Contact: Ola Pavlenko
URL:
Whiteboard: c&u:openstack
Depends On: 1425951
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 18:53 UTC by Satoe Imaishi
Modified: 2017-08-30 03:50 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1425951
Environment:
Last Closed: 2017-05-31 14:56:38 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-20 22:41:29 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/6594cfb6be0d19cfeffd7d1d480119adaa3f11b0

commit 6594cfb6be0d19cfeffd7d1d480119adaa3f11b0
Author:     tzumainn <tzumainn@redhat.com>
AuthorDate: Thu Apr 20 11:56:17 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 20 18:40:13 2017 -0400

    Merge pull request #17 from rwsu/memory-used
    
    Change memory utilization calculation for OpenStack infrastructure
    (cherry picked from commit 3450f388a2ede7f84a1f25d1dc4c75b2e71ffcdf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444174

 .../openstack/infra_manager/metrics_capture.rb     |   6 +-
 .../infra_manager/metrics_capture_spec.rb          | 118 ++++++---
 .../openstack_perf_data/irregular_interval.yml     | 194 +++++++++++++++
 .../openstack_perf_data/metadata_counters.yml      |  15 ++
 .../multiple_collection_periods.yml                | 268 ++++++++++++++++++++-
 .../openstack_perf_data/standard.yml               | 242 +++++++++++++++++++
 6 files changed, 802 insertions(+), 41 deletions(-)

Comment 3 Ronnie Rasouli 2017-05-03 15:12:25 UTC
verified on 5.8.0.13 RC2 CFME collects the total amount of memory and displaying the available memory including system cache

Comment 5 errata-xmlrpc 2017-05-31 14:56:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.